libdvbv5: dvb_table_header Struct Reference

libdvbv5 1.30.1 Library to work with Digital TV devices on Linux

Data Fields
dvb_table_header Struct Reference
Digital TV table parsing

Header of a MPEG-TS table. More...

`#include <header.h>`

## Data Fields
uint8_t | table_id
union { |
uint16_t bitfield |
struct { |
uint16_t section_length:12 |
uint8_t one:2 |
uint8_t zero:1 |
uint8_t syntax:1 |
} |  |
}; |  |
uint16_t | id
uint8_t | current_next:1
uint8_t | version:5
uint8_t | one2:2
uint8_t | section_id
uint8_t | last_section

## Detailed Description

Header of a MPEG-TS table.

Parameters

  table_id | table id
  section_length | section length
  syntax | syntax
  id | Table ID extension
  current_next | current next
  version | version
  section_id | section number
  last_section | last section number

All MPEG-TS tables start with this header.

Definition at line 103 of file header.h.

## Field Documentation

## ◆ [union]

union { ... } dvb_table_header

## ◆ bitfield

uint16_t dvb_table_header::bitfield

Definition at line 106 of file header.h.

## ◆ current_next

uint8_t dvb_table_header::current_next

Definition at line 115 of file header.h.

## ◆ id

uint16_t dvb_table_header::id

Definition at line 114 of file header.h.

## ◆ last_section

uint8_t dvb_table_header::last_section

Definition at line 120 of file header.h.

## ◆ one

uint8_t dvb_table_header::one

Definition at line 109 of file header.h.

## ◆ one2

uint8_t dvb_table_header::one2

Definition at line 117 of file header.h.

## ◆ section_id

uint8_t dvb_table_header::section_id

Definition at line 119 of file header.h.

## ◆ section_length

uint16_t dvb_table_header::section_length

Definition at line 108 of file header.h.

## ◆ syntax

uint8_t dvb_table_header::syntax

Definition at line 111 of file header.h.

## ◆ table_id

uint8_t dvb_table_header::table_id

Definition at line 104 of file header.h.

## ◆ version

uint8_t dvb_table_header::version

Definition at line 116 of file header.h.

## ◆ zero

uint8_t dvb_table_header::zero

Definition at line 110 of file header.h.

The documentation for this struct was generated from the following file:

- lib/include/libdvbv5/header.h